export declare type ResetStreamSource<T> = (source$: Observable<T>) => void;
export interface Observable<T> {
    subscribe: (listener: (value: T) => void, error?: (err: string) => void) => {
        unsubscribe: () => void;
    };
}
export declare function useObservable<T>(observable$: Observable<T>): [T | undefined, ResetStreamSource<T>];
export declare function useObservable<T>(observable$: Observable<T>, initialValue: T | (() => T)): [T, ResetStreamSource<T>];
