import { State, StateCreator, StateCreatorOptions, UseStore } from './store.interfaces';
/**
 * Create a store with specified state
 *
 * The store instances is actually a React hook with Store API added
 * All stores are decorated with Status state (isLoading, error, setIsLoading, and setError)
 *
 * @returns useStore: Hook that will emit either all state or partial state [based on passed selector].
 */
export declare function createStore<TState extends State>(createState: StateCreator<TState>, options?: StateCreatorOptions): UseStore<TState>;
